Incidencia #305 (closed Defecto: Descartada)

Abierto hace 7 años

Última modificación 7 años

Como instalar WiFi USB TP-LINK TLWN722N?

Informado por: erickcion@… Propietario: Canaima
Prioridad: Alta Hito: canaima-popular-3.0~estable
Componente: Metadistribución Versión: 3.0
Gravedad: Palabras clave: WiFi
Cc: erickcion@… Asignar A:

Descripción

Necesito instalar mi wifi USB y no lo se hacer, Utilice la opcion "Instalar Componentes Privativos" ya que mi dispositivo usa el firmware ar92771.fw de ATHEROS reinicie y luego conecte el dispositivo pero no hace nada.

El comando "dmesg" muestra esto al insertar mi dispositivo:

[ 345.992017] usb 1-3: new high speed USB device using ehci_hcd and address 4
[ 346.140829] usb 1-3: New USB device found, idVendor=0cf3, idProduct=9271
[ 346.140835] usb 1-3: New USB device strings: Mfr=16, Product=32, SerialNumber?=48
[ 346.140839] usb 1-3: Product: USB2.0 WLAN
[ 346.140842] usb 1-3: Manufacturer: ATHEROS
[ 346.140845] usb 1-3: SerialNumber?: 12345
[ 346.141656] usb 1-3: configuration #1 chosen from 1 choice

Intente instalar el compat-wireless pero cuando uso el comando make dice:

/home/erick/Descargas/compat-wireless-2011-05-16/config.mk:199: "WARNING: CONFIG_CFG80211_WEXT will be deactivated or not working because kernel was compiled with CONFIG_WIRELESS_EXT=n. Tools using wext interface like iwconfig will not work. To activate it build your kernel e.g. with CONFIG_LIBIPW=m."
./scripts/gen-compat-autoconf.sh config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/2.6.32-5-686/build M=/home/erick/Descargas/compat-wireless-2011-05-16 modules
make: * /lib/modules/2.6.32-5-686/build: No existe el fichero o el directorio. Alto.
make:
* [modules] Error 2

Que debo hacer para instalar mi wifi? lo necesito en 100%

Gracias.

Historial de cambios

comment:1 seguimiento: ↓ 2 Cambiado el 7 años por elalconxvii@…

comment:2 en respuesta a: ↑ 1 Cambiado el 7 años por erickcion@…

Ya lo resolví...

El problema estaba en 2 asuntos...

(1) -> Me faltaba instalar el paquete build-essential (solo había instalado make)

(2) -> Me fui por la segura y usé una versión antigua de compat-wireless (compat-wireless-2010-08-29.tar.bz2) la cual siempre me ha funcionado, no se por que motivo la versión mas reciente (compat-wireless-2011-05-16.tar.bz2) me seguía dando errores de compilación.

La forma de proceder, la cual me ha funcionado siempre tanto en Ubuntu como ahora en Canaima es la que se describe en este post de foro.elhacker.net:

http://foro.elhacker.net/materiales_y_equipos/tplink_tlwn722n-t286698.0.html;msg1456405#msg1456405

Espero le sirva a alguien.

Replying to elalconxvii@…:

Buenos dias prueba con esto

http://linuxwireless.org/en/users/Drivers/ar9170.fw

comment:3 en respuesta a: ↑ description Cambiado el 7 años por erickcion@…

No se como marcar esto como resuelto, alguien hágalo por mi.

Gracias.

comment:4 Cambiado el 7 años por willicab

  • Estado cambiado de new to closed
  • Resolución establecido a Descartada
Nota: Vea TracTickets para ayuda en el uso de incidencias.